ParseErrorException (Velocity 1.7 API)
Keywords: org.apache.velocity.exception.ParseErrorException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class ParseErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.velocity.exception.VelocityException
                      org.apache.velocity.exception.ParseErrorException

All Implemented Interfaces:
  Serializable

public class ParseErrorException
extends VelocityException

Application-level exception thrown when a resource of any type has a syntax or other error which prevents it from being parsed.
When this resource is thrown, a best effort will be made to have useful information in the exception's message. For complete information, consult the runtime log.

Version:
  $Id: ParseErrorException.java 736638 2009-01-22 13:42:52Z byron $
Author:
  Geir Magnusson Jr., Henning P. Schmiedehausen
See Also:
  Serialized Form

Constructor Summary
`ParseErrorException(ParseException pex, String templName)` Create a ParseErrorException with the given ParseException.
`ParseErrorException(String exceptionMessage)` Create a ParseErrorException with the given message.
`ParseErrorException(String exceptionMessage, Info info)` Create a ParseErrorRuntimeException with the given message and info
`ParseErrorException(String exceptionMessage, Info info, String invalidSyntax)` Create a ParseErrorRuntimeException with the given message and info
`ParseErrorException(VelocityException pex, String templName)` Create a ParseErrorException with the given ParseException.

Method Summary
`int` | `getColumnNumber()` Return the column number of the parsing error, or -1 if not defined.
`String` | `getInvalidSyntax()` Return the invalid syntax or reference that triggered this error, or null if not defined.
`int` | `getLineNumber()` Return the line number of the parsing error, or -1 if not defined.
`String` | `getMessage()` Return our custum message if we have one, else return the default message
`String` | `getTemplateName()` Return the name of the template containing the error, or null if not defined.

Methods inherited from class org.apache.velocity.exception.VelocityException
`getWrappedThrowable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseErrorException

    public ParseErrorException(String exceptionMessage)

  Create a ParseErrorException with the given message.

Parameters:
  `exceptionMessage` - the error exception message

### ParseErrorException

    public ParseErrorException(ParseException pex,
                               String templName)

  Create a ParseErrorException with the given ParseException.

Parameters:
  `pex` - the parsing exception
Since:
  1.5

### ParseErrorException

    public ParseErrorException(VelocityException pex,
                               String templName)

  Create a ParseErrorException with the given ParseException.

Parameters:
  `pex` - the parsing exception
Since:
  1.5

### ParseErrorException

    public ParseErrorException(String exceptionMessage,
                               Info info)

  Create a ParseErrorRuntimeException with the given message and info

Parameters:
  `exceptionMessage` - the error exception message
  `info` - an Info object with the current template info
Since:
  1.5

### ParseErrorException

    public ParseErrorException(String exceptionMessage,
                               Info info,
                               String invalidSyntax)

  Create a ParseErrorRuntimeException with the given message and info

Parameters:
  `exceptionMessage` - the error exception message
  `info` - an Info object with the current template info
  `invalidSyntax` - the invalid syntax or reference triggering this exception
Since:
  1.5

Method Detail

### getColumnNumber

    public int getColumnNumber()

  Return the column number of the parsing error, or -1 if not defined.

  Returns:
    column number of the parsing error, or -1 if not defined
  Since:
    1.5

### getLineNumber

    public int getLineNumber()

  Return the line number of the parsing error, or -1 if not defined.

  Returns:
    line number of the parsing error, or -1 if not defined
  Since:
    1.5

### getTemplateName

    public String getTemplateName()

  Return the name of the template containing the error, or null if not defined.

  Returns:
    the name of the template containing the parsing error, or null if not defined
  Since:
    1.5

### getInvalidSyntax

    public String getInvalidSyntax()

  Return the invalid syntax or reference that triggered this error, or null if not defined.

  Returns:
    Return the invalid syntax or reference that triggered this error, or null if not defined
  Since:
    1.5

### getMessage

    public String getMessage()

  Return our custum message if we have one, else return the default message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.